# globals

## Variables:

### curtime

`globals.curtime` `:` <mark style="color:purple;">`number`</mark>

Server time in seconds.

### realtime

`globals.realtime` `:` <mark style="color:purple;">`number`</mark>

Local time in seconds.

### frametime

`globals.frametime` `:` <mark style="color:purple;">`number`</mark>

Duration of the last game frame in seconds.

### framecount

`globals.framecount` `:` <mark style="color:purple;">`number`</mark>

Amount of frames since the game started.

### absoluteframetime

`globals.absoluteframetime` `:` <mark style="color:purple;">`number`</mark>

Duration of the last game frame in seconds.

### tickcount

`globals.tickcount` `:` <mark style="color:purple;">`number`</mark>

Number of ticks elapsed on the server.

### tickinterval

`globals.tickinterval` `:` <mark style="color:purple;">`number`</mark>

Duration of a tick in seconds.

### max\_players

`globals.max_players` `:` <mark style="color:purple;">`number`</mark>

Maximum number of players on the server.

### is\_connected

`globals.is_connected` `:` <mark style="color:purple;">`boolean`</mark>

Returns <mark style="color:green;">`true`</mark> if the player is connected, but not necessarily active in game (could still be loading).

### is\_in\_game

`globals.is_in_game` `:` <mark style="color:purple;">`boolean`</mark>

Returns <mark style="color:green;">`true`</mark> if the player is currently connected to a game server.

### choked\_commands

`globals.choked_commands` `:` <mark style="color:purple;">`number`</mark>

Number of choked commands.

### commandack

`globals.commandack` `:` <mark style="color:purple;">`number`</mark>

Current command number acknowledged by server.

### commandack\_prev

`globals.commandack_prev` `:` <mark style="color:purple;">`number`</mark>

Sequence number of last outgoing command.

### last\_outgoing\_command

`globals.last_outgoing_command` `:` <mark style="color:purple;">`number`</mark>

Number of last command sequence number acknowledged by server.

### server\_tick

`globals.server_tick` `:` <mark style="color:purple;">`number`</mark>

Last-received tick from the server.

### client\_tick

`globals.client_tick` `:` <mark style="color:purple;">`number`</mark>

The client's own tick count.

### delta\_tick

`globals.delta_tick` `:` <mark style="color:purple;">`number`</mark>

Last-valid received snapshot (server) tick.

### clock\_offset

`globals.clock_offset` `:` <mark style="color:purple;">`number`</mark>

Difference between the server and client tick counts, used to predict the current server tick count.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-csgo.neverlose.cc/documentation/variables/globals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
